com.gary.msr.proto

## Class MSRPacket

- java.lang.Object
- - com.gary.msr.proto.MSRPacket

-     public class MSRPacket
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `CMD_IC_APDU`
    `static byte` | `CMD_IC_POWEROFF`
    `static byte` | `CMD_IC_POWERON`
    `static byte` | `CMD_MODEL`
    `static byte` | `CMD_MSR_READ`
    `static byte` | `CMD_MSR_WRITE`
    `static byte` | `CMD_RESPONSE_DEFAULT`
    `static byte` | `CMD_VERSION`
    `static byte` | `DATA_ICPOWEROFF`
    `static byte` | `DATA_ICPOWERON`
    `static byte` | `DATA_MODEL_ENTER`
    `static byte` | `DATA_MODEL_EXIT`
    `static byte` | `DATA_MSRCONFIG`
    `static int` | `MSR_LAYER1_LEN`
    `USBOp` | `mUSBOp`
    `static int[]` | `PACKET`
    `static byte` | `REPORT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSRPacket(UsbManager manager, Context context, java.lang.String AppName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `buildPackge(int cmd, int[] configData, int dataLen)`
    `static int[]` | `parseLetersToIntArr(java.lang.String hexString)`
    `boolean` | `protoAPDU(java.lang.String str, DataChangeListener listener)`
    `boolean` | `protoICPowerdown(DataChangeListener listener)`
    `boolean` | `protoICPowerup(DataChangeListener listener)`
    `boolean` | `protoReadConfig(int[] configData)`
    `boolean` | `protoTestMode(boolean enterFlag)`
    `int` | `protoVersion(int[] configData)`
    `boolean` | `protoWriteConfig()`
    `static int` | `resolveConfigData(int[] configData)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKET

          public static int[] PACKET

    - #### REPORT_ID

          public static final byte REPORT_ID

      See Also:
        Constant Field Values

    - #### MSR_LAYER1_LEN

          public static final int MSR_LAYER1_LEN

      See Also:
        Constant Field Values

    - #### CMD_MODEL

          public static final byte CMD_MODEL

      See Also:
        Constant Field Values

    - #### DATA_MODEL_ENTER

          public static final byte DATA_MODEL_ENTER

      See Also:
        Constant Field Values

    - #### DATA_MODEL_EXIT

          public static final byte DATA_MODEL_EXIT

      See Also:
        Constant Field Values

    - #### CMD_MSR_WRITE

          public static final byte CMD_MSR_WRITE

      See Also:
        Constant Field Values

    - #### CMD_MSR_READ

          public static final byte CMD_MSR_READ

      See Also:
        Constant Field Values

    - #### DATA_MSRCONFIG

          public static final byte DATA_MSRCONFIG

      See Also:
        Constant Field Values

    - #### CMD_IC_POWERON

          public static final byte CMD_IC_POWERON

      See Also:
        Constant Field Values

    - #### DATA_ICPOWERON

          public static final byte DATA_ICPOWERON

      See Also:
        Constant Field Values

    - #### CMD_IC_POWEROFF

          public static final byte CMD_IC_POWEROFF

      See Also:
        Constant Field Values

    - #### DATA_ICPOWEROFF

          public static final byte DATA_ICPOWEROFF

      See Also:
        Constant Field Values

    - #### CMD_IC_APDU

          public static final byte CMD_IC_APDU

      See Also:
        Constant Field Values

    - #### CMD_VERSION

          public static final byte CMD_VERSION

      See Also:
        Constant Field Values

    - #### CMD_RESPONSE_DEFAULT

          public static final byte CMD_RESPONSE_DEFAULT

      See Also:
        Constant Field Values

    - #### mUSBOp

          public USBOp mUSBOp

  - ### Constructor Detail

    - #### MSRPacket

          public MSRPacket(UsbManager manager,
                           Context context,
                           java.lang.String AppName)

  - ### Method Detail

    - #### buildPackge

          public static int buildPackge(int cmd,
                                        int[] configData,
                                        int dataLen)

    - #### resolveConfigData

          public static int resolveConfigData(int[] configData)

    - #### protoTestMode

          public boolean protoTestMode(boolean enterFlag)

    - #### protoWriteConfig

          public boolean protoWriteConfig()

    - #### protoReadConfig

          public boolean protoReadConfig(int[] configData)

    - #### protoICPowerup

          public boolean protoICPowerup(DataChangeListener listener)

    - #### protoICPowerdown

          public boolean protoICPowerdown(DataChangeListener listener)

    - #### parseLetersToIntArr

          public static int[] parseLetersToIntArr(java.lang.String hexString)

    - #### protoAPDU

          public boolean protoAPDU(java.lang.String str,
                                   DataChangeListener listener)

    - #### protoVersion

          public int protoVersion(int[] configData)